org.deidentifier.arx.gui.worker.io

## Class Vocabulary_V2

- java.lang.Object
- - org.deidentifier.arx.gui.worker.io.Vocabulary
  - - org.deidentifier.arx.gui.worker.io.Vocabulary_V1
    - - org.deidentifier.arx.gui.worker.io.Vocabulary_V2

    public class Vocabulary_V2
    extends Vocabulary_V1

Second version of the ARX XML vocabulary.

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`Vocabulary_V2()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `checkVersion(java.lang.String version)` Version check
`java.lang.String` `getAnonymity()`
`java.lang.String` `getChecked()`
`java.lang.String` `getHeader()`
`java.lang.String` `getId()`
`java.lang.String` `getInfoloss()`
`java.lang.String` `getMax2()`
`java.lang.String` `getMin2()`
`java.lang.String` `getNode2()`
`java.lang.String` `getPredecessors()`
`java.lang.String` `getSuccessors()`
`java.lang.String` `getTransformation()`
`java.lang.String` `getVocabularyVersion()`

### Methods inherited from class org.deidentifier.arx.gui.worker.io.Vocabulary_V1

`getAssigment, getAttribute, getAttributeWeight, getAttributeWeights, getClipboard, getConfig, getCriteria, getCriterion, getDatatype, getDefinition, getDepth, getDescription, getEscape, getFormat, getHistorySize, getInitialNodesInViewer, getInputBytes, getLattice, getLevel, getLinebreak, getLocale, getMax, getMaxNodesInLattice, getMaxNodesInViewer, getMetadata, getMetric, getMicroAggregationFunction, getMicroAggregationIgnoreMissingData, getMin, getName, getNode, getPracticalMonotonicity, getProject, getProtectSensitiveAssociations, getQuote, getRef, getRelativeMaxOutliers, getRemoveOutliers, getResponseVariable, getSelectedAttribute, getSeparator, getSnapshotSizeDataset, getSnapshotSizeSnapshot, getSuppressedAttributeTypes, getSuppressionAlwaysEnabled, getType, getVersion, getVocabulary, getWeight`

### Methods inherited from class org.deidentifier.arx.gui.worker.io.Vocabulary

`forVersion, isAnonymity, isAssigment, isAttribute, isChecked, isClipboard, isDatatype, isDefinition, isFormat, isInfoloss, isLattice, isLevel, isLocale, isMax, isMax2, isMetadata, isMicroaggregationFunction, isMicroaggregationIgnoreMissingData, isMin, isMin2, isName, isNode, isNode2, isPredecessors, isRef, isResponseVariable, isSuccessors, isTransformation, isType, isVersion, isVocabulary`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Vocabulary_V2

    public Vocabulary_V2()

### Method Detail

#### checkVersion

    public void checkVersion(java.lang.String version)
                      throws org.xml.sax.SAXException

Description copied from class: `Vocabulary`
Version check

Overrides:
  `checkVersion` in class `Vocabulary_V1`
Throws:
  `org.xml.sax.SAXException`

#### getAnonymity

    public java.lang.String getAnonymity()

Overrides:
  `getAnonymity` in class `Vocabulary_V1`
Returns:

#### getChecked

    public java.lang.String getChecked()

Overrides:
  `getChecked` in class `Vocabulary_V1`
Returns:

#### getHeader

    public java.lang.String getHeader()

Overrides:
  `getHeader` in class `Vocabulary_V1`
Returns:

#### getId

    public java.lang.String getId()

Overrides:
  `getId` in class `Vocabulary_V1`
Returns:

#### getInfoloss

    public java.lang.String getInfoloss()

Overrides:
  `getInfoloss` in class `Vocabulary_V1`
Returns:

#### getMax2

    public java.lang.String getMax2()

Overrides:
  `getMax2` in class `Vocabulary_V1`
Returns:

#### getMin2

    public java.lang.String getMin2()

Overrides:
  `getMin2` in class `Vocabulary_V1`
Returns:

#### getNode2

    public java.lang.String getNode2()

Overrides:
  `getNode2` in class `Vocabulary_V1`
Returns:

#### getPredecessors

    public java.lang.String getPredecessors()

Overrides:
  `getPredecessors` in class `Vocabulary_V1`
Returns:

#### getSuccessors

    public java.lang.String getSuccessors()

Overrides:
  `getSuccessors` in class `Vocabulary_V1`
Returns:

#### getTransformation

    public java.lang.String getTransformation()

Overrides:
  `getTransformation` in class `Vocabulary_V1`
Returns:

#### getVocabularyVersion

    public java.lang.String getVocabularyVersion()

Overrides:
  `getVocabularyVersion` in class `Vocabulary_V1`
Returns: